#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

BIN_DIR=target

#=====================================
#Building the release
#=====================================
if [ -d $BIN_DIR ];
then 
	rm -rf $BIN_DIR
fi
mkdir $BIN_DIR
cd stocktrader/wsas
mvn clean install
cd ../php
sh build.sh
cd ..

#=====================================
#binary pack
#=====================================
cp -r php/php_stocktrader ../$BIN_DIR/php_stocktrader/
cp -r wsas/target/wsas_stocktrader ../$BIN_DIR/wsas_stocktrader/
cd ../
cp DISCLAIMER ./$BIN_DIR/
cp LICENSE ./$BIN_DIR/
cp NOTICE ./$BIN_DIR/
cp README ./$BIN_DIR/
cp ChangeLog ./$BIN_DIR/
cp BUILDING ./$BIN_DIR/

#=====================================
#remove svn folders, if any
#=====================================
cd $BIN_DIR
rm -rf `find . -type d -name .svn`
cd ..
