@echo off
REM Licensed to the Apache Software Foundation (ASF) under one or more
REM contributor license agreements.  See the NOTICE file distributed with
REM this work for additional information regarding copyright ownership.
REM The ASF licenses this file to You under the Apache License, Version 2.0
REM (the "License"); you may not use this file except in compliance with
REM the License.  You may obtain a copy of the License at
REM 
REM   http://www.apache.org/licenses/LICENSE-2.0
REM 
REM Unless required by applicable law or agreed to in writing, software
REM distributed under the License is distributed on an "AS IS" BASIS,
REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
REM See the License for the specific language governing permissions and
REM limitations under the License.

@set ZIP_PROGRAM="C:\Program Files\7-Zip\7z.exe"
@set MD5_PROGRAM=D:\Downloads\md5\md5.exe
@set RAT_PROGRAM=D:\apache-rat-0.7\apache-rat-0.7.jar
@set STOCKTRADER_VERSION=m2
@set STOCKTRADER_PACK=stonehenge-stocktrader-%STOCKTRADER_VERSION%-incubating

@java -jar %RAT_PROGRAM% stocktrader\dotnet > dotnet_rat_report.txt
@java -jar %RAT_PROGRAM% stocktrader\php > php_rat_report.txt
@java -jar %RAT_PROGRAM% stocktrader\wsas > wsas_rat_report.txt
@java -jar %RAT_PROGRAM% stocktrader\metro > metro_rat_report.txt
@java -jar %RAT_PROGRAM% documentation > docs_rat_report.txt

@if exist %STOCKTRADER_PACK%-src rmdir /S /Q %STOCKTRADER_PACK%-src
@if exist %STOCKTRADER_PACK% rmdir /S /Q %STOCKTRADER_PACK%

echo RAT Tool Complete
pause

rem =====================================
rem source pack
rem =====================================
@mkdir %STOCKTRADER_PACK%-src
@xcopy /E /Q /Y /I stocktrader\dotnet %STOCKTRADER_PACK%-src\stocktrader\dotnet
@xcopy /E /Q /Y /I stocktrader\metro %STOCKTRADER_PACK%-src\stocktrader\metro
@xcopy /E /Q /Y /I stocktrader\wsas %STOCKTRADER_PACK%-src\stocktrader\wsas
@xcopy /E /Q /Y /I stocktrader\php %STOCKTRADER_PACK%-src\stocktrader\php
@xcopy /E /Q /Y /I documentation %STOCKTRADER_PACK%-src\documentation
@copy /Y DISCLAIMER %STOCKTRADER_PACK%-src
@copy /Y LICENSE %STOCKTRADER_PACK%-src
@copy /Y NOTICE %STOCKTRADER_PACK%-src
@copy /Y README %STOCKTRADER_PACK%-src
@copy /Y ChangeLog %STOCKTRADER_PACK%-src
@copy /Y BUILDING %STOCKTRADER_PACK%-src
@copy /Y bindist.bat %STOCKTRADER_PACK%-src
@copy /Y bindist.sh %STOCKTRADER_PACK%-src
@copy /Y build.bat %STOCKTRADER_PACK%-src
@copy /Y build.sh %STOCKTRADER_PACK%-src
@copy /Y dist.bat %STOCKTRADER_PACK%-src

@%ZIP_PROGRAM% a %STOCKTRADER_PACK%-src.zip %STOCKTRADER_PACK%-src\*
@%ZIP_PROGRAM% a -ttar %STOCKTRADER_PACK%-src.tar %STOCKTRADER_PACK%-src\*
@%ZIP_PROGRAM% a -tgzip %STOCKTRADER_PACK%-src.tar.gz %STOCKTRADER_PACK%-src.tar
@%MD5_PROGRAM% -n %STOCKTRADER_PACK%-src.zip > %STOCKTRADER_PACK%-src.zip.md5
@%MD5_PROGRAM% -n %STOCKTRADER_PACK%-src.tar.gz > %STOCKTRADER_PACK%-src.tar.gz.md5
@gpg  --armor --output %STOCKTRADER_PACK%-src.zip.asc --detach-sig %STOCKTRADER_PACK%-src.zip
@gpg  --armor --output %STOCKTRADER_PACK%-src.tar.gz.asc --detach-sig %STOCKTRADER_PACK%-src.tar.gz

echo Source Code Packaging complete
pause

rem =====================================
rem binary pack
rem =====================================
@cd %STOCKTRADER_PACK%-src
@call bindist.bat
@echo off
@cd target\documentation\
@java -jar %RAT_PROGRAM% site > ..\..\..\generated_docs_rat_report.txt
@cd ..\..\..\
@mkdir %STOCKTRADER_PACK%
@xcopy /E /Q /Y /I %STOCKTRADER_PACK%-src\target\* %STOCKTRADER_PACK%\
@%ZIP_PROGRAM% a -ttar %STOCKTRADER_PACK%.tar %STOCKTRADER_PACK%\*
@%ZIP_PROGRAM% a -tgzip %STOCKTRADER_PACK%.tar.gz %STOCKTRADER_PACK%.tar
@%ZIP_PROGRAM% a %STOCKTRADER_PACK%.zip %STOCKTRADER_PACK%\*
@%MD5_PROGRAM% -n %STOCKTRADER_PACK%.tar.gz > %STOCKTRADER_PACK%.tar.gz.md5
@%MD5_PROGRAM% -n %STOCKTRADER_PACK%.zip > %STOCKTRADER_PACK%.zip.md5
@gpg  --armor --output %STOCKTRADER_PACK%.zip.asc --detach-sig %STOCKTRADER_PACK%.zip
@gpg  --armor --output %STOCKTRADER_PACK%.tar.gz.asc --detach-sig %STOCKTRADER_PACK%.tar.gz

rem =====================================
rem Clear stuff
rem =====================================
@if exist %STOCKTRADER_PACK% rmdir /S /Q %STOCKTRADER_PACK%
@if exist %STOCKTRADER_PACK%-src rmdir /S /Q %STOCKTRADER_PACK%-src
@if exist release rmdir /S /Q release
@mkdir release
@move *.zip* release\
@move *.tar.gz* release\
@move *rat_report.txt release\
@del /Q *.tar

@echo on
