//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

//  .NET StockTrader Sample WCF Application for Benchmarking, Performance Analysis and Design Considerations for Service-Oriented Applications

using System;
using System.Collections;
using Trade.StockTraderWebApplicationSettings;

namespace Trade.StockTraderWebApplicationModelClasses
{
    /// <summary>
    /// Model class for displaying account profile data in a web page.
    /// </summary>
    public sealed class AccountProfileDataUI
    {
        private string _userId;
        private string _password;
        private string _fullName;
        private string _address;
        private string _email;
        private string _creditCard;
            
        public AccountProfileDataUI()
        {
        }

        public AccountProfileDataUI(
		    string userid,
            string password,
            string fullname,
            string address,  
            string email,        
            string creditcard
            )
	    {
            this._userId = userid;
            this._password = password;
            this._fullName = fullname;
            this._address = address;
            this._email = email;
            this._creditCard = creditcard;
	    }

        public string userID
        {
            get
            {
                return _userId;
            }
            set
            {
                this._userId = value;
            }
        }

        public string password
        {
            get
            {
                return _password;
            }
            set
            {
                this._password = value;
            }
        }

        public string fullName
        {
            get
            {
                return _fullName;
            }
            set
            {
                this._fullName = value;
            }
        }

        public string address
        {
            get
            {
                return _address;
            }
            set
            {
                this._address = value;
            }
        }

        public string email
        {
            get
            {
                return _email;
            }
            set
            {
                this._email = value;
            }
        }

        public string creditCard
        {
            get
            {
                return _creditCard;
            }
            set
            {
                this._creditCard = value;
            }
        }
    }
}