/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.stonehenge.stocktrader;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

public class CustomMarketSummaryBean {

	private static final long serialVersionUID = 6180349684421231291L;

    protected BigDecimal tsia;
    protected BigDecimal openTSIA;
    protected Double volume;
    protected List<CustomQuoteBean> topGainers = new ArrayList<CustomQuoteBean>();
    protected List<CustomQuoteBean> topLosers = new ArrayList<CustomQuoteBean>();
    protected Calendar summaryDate;

	public CustomMarketSummaryBean(BigDecimal tSIA, BigDecimal openTSIA,
			double volume, List<CustomQuoteBean> topGainers,
			List<CustomQuoteBean> topLosers) {
		setTSIA(tSIA);
		setOpenTSIA(openTSIA);
		setVolume(volume);
		setTopGainers(topGainers);
		setTopLosers(topLosers);
	}

	private void setTopGainers(List<CustomQuoteBean> topGainers) {
        this.topGainers.addAll(topGainers);
	}

    public List<CustomQuoteBean> getTopGainers() {
        return topGainers;
    }

    private void setTopLosers(List<CustomQuoteBean> topLosers) {
        this.topLosers.addAll(topLosers);
	}

    public List<CustomQuoteBean> getTopLosers() {
        return topLosers;
    }

    public BigDecimal getTSIA() {
        return tsia;
    }

    public void setTSIA(BigDecimal tsia) {
        this.tsia = tsia;
    }

    public BigDecimal getOpenTSIA() {
        return openTSIA;
    }

    public void setOpenTSIA(BigDecimal openTSIA) {
        this.openTSIA = openTSIA;
    }

    public Double getVolume() {
        return volume;
    }

    public void setVolume(Double volume) {
        this.volume = volume;
    }

    public Calendar getSummaryDate() {
        return summaryDate;
    }

    public void setSummaryDate(Calendar summaryDate) {
        this.summaryDate = summaryDate;
    }
}
