/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.stonehenge.stocktrader;

import java.math.BigDecimal;
import java.util.Calendar;

import com.ibm.websphere.samples.trade.AccountDataBean;

public class CustomAccountBean extends AccountDataBean {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6368651996080304426L;

	protected String userID;

	public CustomAccountBean() {
	}

	public CustomAccountBean(AccountDataBean accountDataBean) {
		setAccountID(accountDataBean.getAccountID());
		setBalance(accountDataBean.getBalance());
		setCreationDate(accountDataBean.getCreationDate());
		setLastLogin(accountDataBean.getLastLogin());
		setLoginCount(accountDataBean.getLoginCount());
		setLogoutCount(accountDataBean.getLogoutCount());
		setOpenBalance(accountDataBean.getOpenBalance());
	}

	public CustomAccountBean(int accountId, String profileId,
			Calendar creationDate, BigDecimal openBalance, int logoutCount,
			BigDecimal balance, Calendar lastLogIn, int loginCount) {
		setAccountID(accountId);
		setProfileID(profileId);
		setCreationDate(creationDate);
		setOpenBalance(openBalance);
		setLogoutCount(logoutCount);
		setBalance(balance);
		setLastLogin(lastLogIn);
		setLoginCount(loginCount);
		setLogoutCount(logoutCount);
	}

	public String getUserID() {
		return this.userID;
	}

	public void setUserID(String userID) {
		this.userID = userID;
	}

}
