/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.stonehenge.stocktrader;

import com.ibm.websphere.samples.trade.AccountProfileDataBean;

public class CustomAccountProfileBean extends AccountProfileDataBean {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1485167358537563576L;

	public CustomAccountProfileBean() {
	}

	public CustomAccountProfileBean(
			AccountProfileDataBean accountProfileDataBean) {
		setAddress(accountProfileDataBean.getAddress());
		setCreditCard(accountProfileDataBean.getCreditCard());
		setEmail(accountProfileDataBean.getEmail());
		setFullName(accountProfileDataBean.getFullName());
		setPassword(accountProfileDataBean.getPassword());
		setUserID(accountProfileDataBean.getUserID());
	}

	public CustomAccountProfileBean(String userId, String password,
			String fullName, String address, String email, String creditcard) {
		setUserID(userId);
		setPassword(password);
		setFullName(fullName);
		setAddress(address);
		setEmail(email);
		setCreditCard(creditcard);
	}

}
